
Redmine - Feature #393

Role that can't assign a ticket

2007-07-19 15:43 - David Petersen

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

If you are giving clients access to redmine you really don't want them submitting tickets and assigning them to developers

with out it going through a project manager.

Having the ability to more granularly assign permissions to users would help a lot.

Letting them create a new ticket but not assign it.

Related issues:

Related to Redmine - Feature #444: submit issue via email Closed

Related to Redmine - Feature #8050: Mightful workflow field enhancement:  vis... Closed 2011-04-03

Has duplicate Redmine - Feature #8129: Role that can't assign a ticket Closed 2011-04-12

History

#1 - 2007-09-27 03:33 - Ed Ed

This is surely already the case. Create a new class of user and

allow them to issue and withdraw tickets and nothing else.

#2 - 2008-05-15 10:29 - Thomas Lecavelier

I give a +1 to this feature request: it would be so lovely that only manager or developers could assign issues... :)

#3 - 2008-05-15 12:32 - Nikolay Solakov

+1 from me too :)

#4 - 2008-05-20 14:14 - Daniel N

me too.

#5 - 2008-05-21 21:10 - Thomas Löber

We have to consider that issues can be automatically assigned by selecting a category.

So there should be an additional permission "Select issue category" (besides "Assign issue") which will not be given to the "Client" role.

#6 - 2009-06-04 16:10 - Paul Voelker

My software group would be very happy to have this ability.  We are new Redmine users and like what we have seen so far...

#7 - 2009-07-07 04:15 - david austin

we are having problems with anonymous users (who we allow to submit a new issue) they are assigning it to the list of developers and we dont want

them to assign issues only submit the problem

so +1 for us also

#8 - 2009-09-09 17:25 - david austin

i would like to reopen this as this is a problem as is spam by anonymous users

#9 - 2010-01-22 17:33 - Robert Cermak

+1

More generally: each role could have configurable list of items available on issue submitting.

It is not reasonable to enable to client to set up e.g. Estimated time, “Done %”,  or certain customized internal items…
#10 - 2011-04-12 04:50 - Rick Bird

Issue is definetely a must.. +1

#11 - 2011-04-12 09:17 - Etienne Massip

- Category set to Issues permissions

#12 - 2011-09-15 02:18 - Kioma Aldecoa

This feature would be very useful for our workflow.  It facilitates a model where only designated people actually review and assign issues.

#13 - 2011-09-15 02:19 - Kioma Aldecoa

- Assignee set to Jean-Philippe Lang

#14 - 2011-09-15 02:19 - Kioma Aldecoa

- Assignee deleted (Jean-Philippe Lang)

#15 - 2011-09-15 10:02 - Terence Mill

This is covered by feature request #8050 : "Mightful workflow field enhancement: visible, read only and mandatory"

#16 - 2012-10-28 19:23 - Daniel Felix

Well this could be also closed. With some changes to the workflow -> field permissions the reporter could be restricted to assign a ticket.

#17 - 2012-10-30 19:55 - Daniel Felix

- Status changed from New to Resolved

- % Done changed from 0 to 100

Resolved in #8050.

#18 - 2012-10-30 19:58 - Daniel Felix

- Status changed from Resolved to Closed
